/* GOOGLE FONT */
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap');


/* BASIC SETTING */
html{
    scroll-behavior: smooth;
}

:root{
    --red: #FF1F2D;
    --hover-red : #f45761;
    --grey : rgb(217, 217, 217);

    --link-hover: #D91422;

    --text-dark: #111111;
    --text-light: #666666;
    --text-muted: #888888;

    --bg-white: #FFFFFF;
    --bg-light: #F5F5F5;

    --border-color: #E5E5E5;

    --button-dark: #2B2B2B;
    --hover-grey: #3b3a3a;

    --shadow-color: rgba(0, 0, 0, 0.08);
}

*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    text-decoration: none;
    font-family: "Inter", sans-serif;
}

body{
    width: 100%;
    min-height: 100vh;
    background-color: var(--bg-white);
}


/* HEADER */
.header{
    padding: 1rem;
    width: 100%;
    display: flex;
    justify-content: center;
}

.header-content{
    max-width: 1280px;
    width: 100%;
    display: flex;
    justify-content: space-between;
}

.logo{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
}

.logo img{
    display: flex;
    height: 2.2rem;
    width: 3rem;
    transform: rotate(-25deg);
}

.logo span{
    font-size: 1.8rem;
    font-weight: bold;
    text-decoration: none;
    text-align: center;
    color: var(--text-dark);
}

.navigation{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2rem;
    padding: 1rem;
}

.navigation-buttons{
    font-size: 1rem;
    color: var(--text-dark);
    font-weight: 500;
}

.navigation-buttons:hover{
    color: var(--link-hover);
}

.contact-us-button{
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
    text-align: center;
    padding: 0.4rem 1.4rem;
    background-color: var(--red);
    border-radius: 9px;
    transition: all 0.3s ease 0s;
}

.contact-us-button:hover{
    background-color: var(--hover-red);
    transform: scale(1.11);
}

.hamburger-button{
    display: none;
    color: var(--red);
    background-color: var(--bg-white);
    border: none;
    font-size: 2rem;
    font-weight: bold;
    transition: transform 0.2s ease 1ms;
}

.hamburger-button:hover{
    transform: scale(1.7);
}


/* MAIN CONTENT */
.main-content{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}


/* HERO SECTION */
.hero-section{
    max-width: 1280px;
    width: 100%;
    padding: 1rem 0.6rem;
    display: flex;
    justify-content: space-between;
}

.left-content{
    width: 47%;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    gap: 1.3rem;
    padding-top: 0.4rem;
    padding-bottom: 0.4rem;
    opacity: 0%;
    animation: slidefromleft 1.2s ease 0s 1 forwards;
}

@keyframes slidefromleft {
    0%{
        opacity: 0%;
        transform: translateX(-100%);
    }

    100%{
        opacity: 100%;
        transform: translateX(0%);
    }
}

.sub-heading{
    color: var(--red);
    font-size: 1.1rem;
    font-weight: 650;
}

.main-heading{
    color: var(--text-dark);
    font-size: 2.5rem;
}

.description{
    color: var(--text-light);
    font-weight: 500;
    font-size: 1.2rem;
}

.buttons{
    display: flex;
    justify-content: start;
    gap: 1.4rem;
}

.red-button{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--red);
    border: none;
    border-radius: 10px;
    font-size: 1.2rem;
    color: white;
    padding: 0.5rem 1rem;
    transition: all 0.3s ease 0s;
}

.red-button:hover{
    transform: scale(1.09);
    background-color: var(--hover-red);
}

.grey-button{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--button-dark);
    border: none;
    border-radius: 10px;
    font-size: 1.2rem;
    color: white;
    padding: 0.5rem 1rem;  
    transition: all 0.3s ease 0s; 
}

.grey-button:hover{
    background-color: var(--hover-grey);
    transform: scale(1.09);
}


.right-content{
    width: 47%;
    display: flex;
    justify-content: end;
    align-items: center;
}

.hero-section-image{
    width: 100%;
    height: 100%;
    border-radius: 20px;
}


/* HIGHTLIGHTS SECTION */
.highlights-section{
    width: 100%;
    max-width: 1100px;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 2rem;
    margin-bottom: 2rem;
    gap: 1.5rem;
    animation: slidefromleft 1.2s ease 0s 1 forwards;
}

.highlights-section-heading{
    font-size: 1.7rem;
    font-weight: 750;
    text-align: center;
    color: var(--text-dark);
}

.highlights-grid{
    display: grid;
    grid-template-columns: repeat(4,1fr);
    padding: 2.5rem 2rem;
    background-color: var(--grey);
    border-radius: 18px;
    gap: 1.5rem;
    margin: 0px 1.5rem;
}

.highlights-cell{
    display: flex;
    justify-content: start;
    align-items: center;
    gap: 0.7rem;
}

.highlights-grid img{
    width: 3.5rem;
    height: 3.5rem;
}

.highlights-text{
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.highlights-cell h2{
    text-align: left;
    font-size: 1.3rem;
    color: var(--text-dark);
}

.highlights-cell p{
    text-align: left;
    font-size: 0.9rem;
    color: var(--text-light);
}


/* FEATURES SECTION */
.features-section{
    width: 100%;
    background-color: var(--grey);;
    display: flex;
    justify-content: center;
    padding: 0.4rem;
}
.features-container{
    background-color: var(--grey);
    max-width: 1280px;
    width: 100%;
    margin: 2rem 0px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 0.8rem;
}

.features-sub-heading{
    color: var(--red);
    text-align: center;
    font-weight: 700;
    font-size: 1.2rem;
}

.features-main-heading{
    text-align: center;
    font-size: 2rem;
    font-weight: 800;
    word-spacing: 0.14em;
}

.features-main-heading span{
    color: var(--red);
}

.features-description{
    text-align: center;
    color: var(--text-light);
    font-size: 1rem;
    max-width: 700px;
    font-weight: 500;
}

.features-cards-grid{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
    gap: 1.2rem;
    margin: 1rem 0rem;
}

.features-card{
    display: flex;
    flex-direction: column;
    gap: 0.4rem;
    background-color: var(--text-dark);
    border-radius: 12px;
    padding: 0.9rem 0.7rem;
}

.image-box{
    background-color: var(--grey);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 4.5rem;
    height: 4.5rem;
    border-radius: 50%;
    margin: 0.5rem;
}

.image-box img{
    width: 65%;
    height: 65%;
}

.features-card h3{
    color: white;
    font-weight: 600;
}

.features-card p{
    color: var(--text-muted);
    font-weight: 550;
}


/* TESTIMONIALS SECTION */
.testimonials-section{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    max-width: 1280px;
    padding: 2.2rem 1.5rem;
    gap: 0.8rem;
}

.testimonials-sub-heading{
    color: var(--red);
    font-weight: 700;
    font-size: 1.5rem;
    text-align: center;
}

.testimonials-main-heading{
    color: var(--text-dark);
    font-weight: 800;
    font-size: 2.3rem;
    text-align: center;
}

.testimonials-main-heading span{
    color: var(--red);
    font-weight: 800;
    font-size: 2.3rem;
    text-align: center;
}

.testimonials-description{
    font-size: 1.3rem;
    color: var(--text-light);
    font-weight: 500;
    width: 100%;
    text-align: center;
    max-width: 800px;
}

.card-container{
    display: flex;
    gap: 1rem;
    justify-content: center;
    margin: 1rem 0rem;
}

.card{
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    background-color: var(--grey);
    border: 1px solid black;
    padding: 0.5rem;
    border-radius: 12px;
    transition: all 0.2s ease 0ms;
}

.card:hover{
    transform: scale(1.02);
    box-shadow: 0px 0px 10px 0.5px var(--red);
}

.icon-box{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0.5rem 0.3rem;
}

.left-icon{
    width: 2rem;
    height: 2rem;
}

.right-icon{
    width: 5rem;
}

.review{
    color: var(--text-dark);
    font-size: 1rem;
    font-weight: 500;
}

.lower-box{
    display: flex;
    justify-content: start;
    align-items: center;
    margin: 0.8rem 0rem;
    gap: 0.6rem;
}

.lower-box img{
    height: 4rem;
    width: 4rem;
    border-radius: 50%;
}

.inner-box{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: start;
}

.lower-box h4{
    font-size: 1.2rem;
    color: var(--text-dark);
    font-weight: 650;
}

.lower-box p{
    font-size: 0.8rem;
    color: var(--button-dark);
    font-weight: 600;
}


/* NEWSLETTER SECTION */
.newsletter-section{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.newsletter-container{
    width: 100%;
    max-width: 1000px;
    background-color: var(--text-dark);
    border-radius: 8px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 4rem;
}

.newsletter-container img{
    width: 50%;
    border-top-left-radius: 8px;
    border-bottom-left-radius: 8px;

}

.newsletter-box{
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 0.6rem;
    width: 50%;
    padding: 2rem;
}

.newsletter-box h3{
    color: var(--bg-white);
    font-size: 1.7rem;
    font-weight: 700;
}

.newsletter-box p{
    color: white;
    font-weight: 600;
    font-size: 0.9rem;
}

.newsletter-form{
    display: flex;
    justify-content: start;
    align-items: center;
    gap: 0.6rem;
}

.newsletter-form input{
    height: 2rem;
    width: 14rem;
    border-radius: 7px;
    border: none;
}

.newsletter-box input:focus{
    box-shadow: 0px 0px 4px 1px var(--red);
    border: 1px solid red;
}

.newsletter-form button{
    padding: 0.3rem 0.7rem;
    font-size: 1rem;
    background-color: var(--red);
    color: white;
    font-weight: 700;
    cursor: pointer;
    border-radius: 7px;
    border: none;
}

.policy-text{
    color: white;
    font-size: 0.8rem;
}

.policy-text a{
    color: skyblue;
    text-decoration: underline;
}


/* FOOTER */
.footer{
    width: 100%;
    display: flex;
    justify-content: center;
    background-color: var(--grey);
    border-top: 1px solid black;
}

.footer-container{
    width: 100%;
    max-width: 1280px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 1.5rem 0rem;
}

.footer-content{
    width: 100%;
    display: flex;
    justify-content: center;
    gap: 1rem;
}

.footer-left{
    width: 35%;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.footer-logo{
    display: flex;
    justify-content: start;
    align-items: center;
    gap: 1rem;
}

.footer-logo img{
    transform: rotate(-25deg);
    height: 2.2rem;
    width: 3rem;
}

.footer-logo span{
    font-size: 2rem;
    font-weight: 800;
    text-decoration: none;
    color: var(--text-dark);
}

.footer-left p{
    font-size: 1.2rem;
    font-weight: 500;
}

.social-links{
    display: flex;
    margin: 0.4rem 0rem;
    gap: 0.9rem;
}

.link{
   transition: all 0.25s ease 0ms; 
}

.link:hover{
    transform: scale(1.1);
}

.link img{
    height: 2rem;
    width: 2rem;
}

.footer-right{
    width: 65%;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 0.5rem;
}

.links-column{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
}

.link-heading{
    text-align: center;
    color: var(--text-dark);
    font-size: 1.3rem;
}

.link-list{
    list-style: none;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;

}

.links{
    text-align: center;
}

.links a{
    color: var(--text-light);
    font-size: 1rem;
}

.links a:hover{
    color: var(--link-hover);
}


.copyright{
    width: 100%;
    border-top: 1px solid black;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1rem;
    margin: 2rem 0rem;
}

.copyright p{
    color: var(--text-dark);
    width: 100%;
    text-align: center;
    font-size: 0.9rem;
}


/* RESPONSIVENESS */
@media screen and (max-width:900px) {

    /* FOR HEADER */
    .hamburger-button{
        display: block;
    }

    .navigation{
        display: none;
    }

    .contact-us-button{
        display: none;
    }


    /* FOR HERO-SECTION */
    .hero-section{
        flex-direction: column;
        align-items: center;
    }

    .left-content{
        width: 99%;
        align-items: center;
    }

    .sub-heading, .main-heading, .description{
        text-align: center;
    }

    .right-content{
        width: 99%;
        max-width: 550px;
        padding: 2.3rem 0.7rem;
    }


    /* FOR HIGHLIGHTS SECTION */
    .highlights-grid{
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr;
        padding: 1rem;
    }

    .highlights-cell img{
        width: 2rem;
        height: 2rem;
    }

    .highlights-text h2{
        font-size: 1rem;
    }

    .highlights-cell p{
        font-size: 0.6rem;
    }


    /* FOR FEATURES SECTION */
    .features-container{
        width: 100%;
        max-width: 700px;
        margin: 1.7rem 0.6rem;
    }
    .features-cards-grid{
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr 1fr 1fr;
        gap: 0.5rem;
        margin-left: 0.2rem;
        margin-right: 0.2rem;
    }

    .features-card{
        padding: 0.5rem;
    }

    .image-box{
        height: 2.3rem;
        width: 2.3rem;
    }

    .features-card h3{
        font-size: 1rem;
    }

    .features-card p{
        font-size: 0.6rem;
    }

    /* FOR TESTIMONIALS SECTION */
    .testimonials-section{
        padding: 0.4rem;
        gap: 0.3rem;
    }

    .testimonials-sub-heading{
        font-size: 1rem;
    }

    .testimonials-main-heading, .testimonials-main-heading span{
        font-size: 1.3rem;
    }

    .testimonials-description{
        font-size: 0.8rem;
    }

    .card-container{
        flex-direction: column;
        max-width: 450px;
        gap: 0.5rem;
        margin: 0.4rem 0px;
    }

    .card{
        padding: 0.3rem;
    }

    .left-icon{
        width: 1rem;
        height: 1rem;
    }

    .right-icon{
        width: 2.6rem;
    }

    .review{
        font-size: 0.8rem;
    }

    .lower-box{
        margin: 0.5rem 0.5rem;
        gap: 0.5rem;
    }

    .lower-box img{
        height: 3.3rem;
        width: 3.3rem;
    }

    .inner-box h4{
        font-size: 0.9rem;
    }

    .inner-box p{
        font-size: 0.7rem;
    }

    /* FOR NEWSLETTER SECTION */
    .newsletter-container{
        margin: 2rem 0.5rem;
        max-width: 325px;
    }

    .newsletter-container img{
        display: none;
    }

    .newsletter-box{
        width: 100%;
        padding: 0.7rem;
    }

    .newsletter-box h3{
        font-size: 0.8rem;
    }

    .newsletter-box p{
        font-size: 0.5rem;
    }

    .newsletter-form{
        gap: 0.3rem;
    }

    .newsletter-form input{
        height: 1.2rem;
        width: 60%;
    }
    
    .newsletter-form button{
        font-size: 0.48rem;
    }

    .policy-text{
        font-size: 0.6rem;
    }

    /* FOR FOOTER */
    .footer-content{
        flex-direction: column;
    }

    .footer-left{
        width: 100%;
        align-items: center;
    }

    .footer-logo{
        gap: 0.3rem;
    }

    .footer-logo img{
        height: 1.4rem;
        width: 2rem;
    }

    .footer-logo span{
        font-size: 1.1rem;
    }

    .footer-left p{
        font-size: 0.7rem;
    }

    .link img{
        height: 1.5rem;
        width: 1.5rem;
    }

    .footer-right{
        width: 100%;
        grid-template-columns: 1fr 1fr;
        grid-template-rows:  1fr 1fr;
        row-gap: 1.1rem;
    }

    .links-column{
        gap: 0.6rem;
    }

    .link-list{
        gap: 0.3rem;
    }

    .link-heading{
        font-size: 0.9rem;
    }

    .links a{
        font-size: 0.7rem;
    }

    .copyright{
        margin-bottom: 0.4rem;
    }

    .copyright p{
        font-size: 0.6rem;
    }

}

